// palabras.cpp - Definición de la clase CPalabra
//
#include <iostream>                                                                    
#include "palabras.h" // clases CPalabra y CPolinomio
using namespace std;

/////////////////////////////////////////////////////////////////
void CPalabras::InsertarPalabra(string palab)
{
  palabra[palab]++;
}

int CPalabras::BuscarPalabra(string palab)
{
  if (!palabra.empty())
  {
    ipalabra = palabra.find(palab);
    if (ipalabra != palabra.end())
      return (*ipalabra).second;
  }
  return 0;
}

 
void CPalabras::VisualizarTablaFrecuencias()
{
  for (ipalabra = palabra.begin(); ipalabra != palabra.end(); ipalabra++)
    cout << "  " << (*ipalabra).first << '\t'
         << (*ipalabra).second << endl;
}
/////////////////////////////////////////////////////////////////

